sox -- buffer overflow

2004-10-13T00:00:00
ID DSA-565
Type debian
Reporter Debian
Modified 2004-10-13T00:00:00

Description

Ulf Härnhammar has reported two vulnerabilities in SoX, a universal sound sample translator, which may be exploited by malicious people to compromise a user's system with a specially crafted .wav file.

For the stable distribution (woody) these problems have been fixed in version 12.17.3-4woody2.

For the unstable distribution (sid) these problems have been fixed in version 12.17.4-9.

We recommend that you upgrade your sox package.